Show Posts

This section allows you to view all posts made by this member. Note that you can only see posts made in areas you currently have access to.


Messages - Command Line

Pages: [1]
1
General discussion about BabaCAD / Re: v 2.0.0 Errata
« on: April 06, 2017, 05:00:50 pm »
7,8,11,12,13 and possibly 5 are items I can add to the list of commands through lisp now that I know where to look for the formal command definitions, and I plan to get to it today. Thanks for your response, and I really do want to donate money to the cause. I can do lisp, but editing an executable is beyond my expertise so I want to help where I can.

2
General discussion about BabaCAD / v 2.0.0 Errata
« on: April 06, 2017, 08:03:03 am »
Hi,
I'm new to BabaCAD, but a longtime CAD user with a modest level of LISP development. I was referred here by a friend who is also a lisp guru with the CAPD tools used by the BLM and Forest Service in the U.S.

I have run into a number of issues with the 2017 release, but let me first say a big thank you for doing this. I am working on a bicycle part invention in the evenings on my own and I am at a point where I need to have a mounting bracket made with a CNC mill.

That said, I hope this commentary is helpful for improving the product and I am interested in donating some money for your continued efforts and commitment.

Now the issues:
1. The commands I loaded through appload will run on the command line but not in the dynamic entry box
2. The space bar does not equal enter in the dynamic entry, but it would be nice if it did--kind throws me off
3. The object properties pane does not display a global elevation for objects, but the dxf does populate a value of 0 for the "30" dxf code. I really need this fix to be able to export a gcode file for a CNC mill. Also, the properties pane for 3d polylines only shows the elevation for one vertex at a time. A global elevation field would be helpful even if it displayed *VARIES* for vertices at differing elevations. Of course it would be helpful to change the elevation of all of the vertices for selected objects using this field.
4. I'm running Windows 10 and downloaded the BabaCAD exe install earlier today. I drew a 3d poly and then typed C for close, and it appeared to close. But there were two issues. a) when selected, the Is Closed value in the properties pane displayed as No b) When I saved and reopened the drawing, the closing segment was gone.
5. The PEDIT command and JOIN command are not included to allow me to join a line to a polyline. Nuts.
6. I drew a rectangle 90mm x 45mm in the xy plane, then I copied and pasted it into the same place. I executed the move command and selected the topmost rectangle, then pressed enter, entered 0,0,0 for the base point and 0,0,45 for the destination point. The object disappeared completely. I tried this more than once with both a 2d and 3d polyline. Same result.
7. "SAVE" and "SAVEAS" commands do not appear in the library so far as I can tell. These are essential if a user wants to save to a newer version after having made some tentative changes that might not be best to make permanent.
8. There does not appear to be a DISTANCE command (DI typical shortcut) to just screen print the distance between two points of interest.
9. F8 is the Ortho on / Ortho off toggle that I am accustomed to. Is ortho mode even available at all?
10. FILEDIA is a CAD global variable. I did not see that it is defined. I think the domain of valid values are 0 and 1, maybe a 2, but I can't think of what that would be used for. I believe 0 returns a command line dialog for file saving and 1 returns a popup GUI.
11. I also did not see the LIST command as defined.
12. Did not see a UNITS command or dialog as loaded (UN typical shortcut)
13. OP or OPTIONS also did not seem to be a valid command.
14. I took the liberty to develop a lisp file of common aliases for commands that I use frequently. I hope it is of some use to you. I plan to also develop the lisp to combine the COPY and PASTE commands to work just like in CAD. Here is the code I can share so far:
Code: [Select]
;; command aliases

(defun c:c ()
 (command "circle"))

(defun c:e ()
 (command "erase"))

(defun c:l ()
 (command "line"))

(defun c:m ()
 (command "move"))

(defun c:u ()
 (command "undo"))

(defun c:ss ()
 (setq CurrentSelection (ssget)))

Pages: [1]